Bug 1283151 - external VMs are not added when storage is not configured
external VMs are not added when storage is not configured
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-4.0.0-alpha
: 4.0.0
Assigned To: Marek Libra
eberman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 06:50 EST by Michal Skrivanek
Modified: 2016-07-05 03:39 EDT (History)
2 users (show)

See Also:
Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-05 03:39:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
rule-engine: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 49010 master MERGED core: external VM can be added without storage Never

  None (edit)
Description Michal Skrivanek 2015-11-18 06:50:23 EST
candoaction in AddVmCommand insists on StoragePoolStatus.Up...throwing ACTION_TYPE_FAILED_IMAGE_REPOSITORY_NOT_FOUND when it's not ready. Sicne the storage is not required for external VMs we should skip over this check. There might be more irrelevant checks...so worth a check:)
Comment 1 eberman 2016-06-14 09:37:00 EDT
tested on :
oVirt Engine Version: 4.1.0-0.0.master.20160613231338.git6e72c0b.el7.centos

libvirt version is:

libvirt-client-1.2.17-13.el7_2.4.x86_64


verification steps:
1.attached NFS storage 
2.ran this command:(while storage is up and running)

vdsClient 0 create /dev/null vmId=485c87ea-2875-11e5-b7ea-28d244694832 memSize=256  display=vnc kvmEnable=true  vmName=myVmName1

3.put storage into maintenance mode to simulate storage connection lost
4.ran same command again:

vdsClient 0 create /dev/null vmId=485c87ea-2875-11e5-b7ea-28d244694832 memSize=256  display=vnc kvmEnable=true  vmName=myVmName1


in both cases i was able to see the VM created on the host from the admin portal
Comment 2 Sandro Bonazzola 2016-07-05 03:39:33 EDT
oVirt 4.0.0 has been released, closing current release.

Note You need to log in before you can comment on or make changes to this bug.